Bug 26983 - Selecting ALL Items in Inventory- only selects 20
Summary: Selecting ALL Items in Inventory- only selects 20
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 26150
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-10 01:10 UTC by Kelly McElligott
Modified: 2021-02-11 22:26 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02,20.05.08


Attachments
Bug 26983: Fix [un]select all links in inventory (1.65 KB, patch)
2020-12-02 09:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26983: Fix [un]select all links in inventory (1.71 KB, patch)
2020-12-11 10:49 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26983: Fix [un]select all links in inventory (1.77 KB, patch)
2021-01-08 10:41 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-11-10 01:10:37 UTC
When a user is in the Inventory Tool, Select all only selects the first 20 records in the selecting option of the Inventory, even if you change the view to show 50, 100, or all options. The expected behavior is that Select All would select all the options.

To recreate this issue, go to Tools-> Inventory-> Do a Search to produce more than 20 results -> Select Add Items. Next, select 50, 100 or All entries to show. Then, click on Select All. Only the first 20 entries are selected, not all of the entries on the screen.
Comment 1 Jonathan Druart 2020-12-02 09:28:29 UTC
Created attachment 114087 [details] [review]
Bug 26983: Fix [un]select all links in inventory

The select/unselect all links took into account only the items displayed
when the page was loaded (so 20).

Test plan:
1. Go to Tools-> Inventory-> Do a Search to produce more than 20 results
2. Select 50, 100 or All entries to show
3. click on Select All
=> All items must be selected, not only the first 20
Comment 2 Fridolin Somers 2020-12-11 10:49:20 UTC
Created attachment 114325 [details] [review]
Bug 26983: Fix [un]select all links in inventory

The select/unselect all links took into account only the items displayed
when the page was loaded (so 20).

Test plan:
1. Go to Tools-> Inventory-> Do a Search to produce more than 20 results
2. Select 50, 100 or All entries to show
3. click on Select All
=> All items must be selected, not only the first 20

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 3 Fridolin Somers 2020-12-11 10:52:15 UTC
Ok fix is working.

Will testing I see that "Select all" in fact selects the visible lines.
Maybe we should rename it "Select visible rows", like in items search.
Comment 4 Julian Maurice 2021-01-08 10:41:42 UTC
Created attachment 114951 [details] [review]
Bug 26983: Fix [un]select all links in inventory

The select/unselect all links took into account only the items displayed
when the page was loaded (so 20).

Test plan:
1. Go to Tools-> Inventory-> Do a Search to produce more than 20 results
2. Select 50, 100 or All entries to show
3. click on Select All
=> All items must be selected, not only the first 20

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Jonathan Druart 2021-01-08 14:23:14 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Martha Fuerst 2021-01-08 18:07:00 UTC
Any chance this can be backported to 20.05?
Comment 7 Fridolin Somers 2021-01-11 12:42:05 UTC
Pushed to 20.11.x for 20.11.02
Comment 8 Fridolin Somers 2021-01-11 12:43:33 UTC
(In reply to Martha Fuerst from comment #6)
> Any chance this can be backported to 20.05?

Surely Andrew will backport to 20.05.xx
Comment 9 Andrew Fuerste-Henry 2021-01-19 21:45:01 UTC
Surely I have done so :) Pushed to 20.05.x for 20.05.08
Comment 10 Victor Grousset/tuxayo 2021-01-22 01:34:46 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.